<?php
include 'core/sys.php';
head('Личный кабинет');
reg();
	if(isset($_GET['test'])){
	#print_r($set);
	echo $set['ivent_sneg'];
	#echo clock(1386545082);
	}
	if(isset($_GET['status'])){
	$status_money = 500;
	echo '<div class="name">Изменить статус</div>';
		if(empty($_POST['status'])){
	echo '<div class="row">
	Смена статуса - <img src="img/money/money.png"> '.$status_money.'<br>
	<form action="lk.php?status" method="post">
	<input type="text" name="status" value="'.$user['status'].'" style="width: 70%;">
	<input type="submit" value="Изменить">
	</form></div>';
	}else{
		if($user['money']<$status_money){
		echo '<div id="error">Недостаточно золота!</div>';
		foot();
		exit;
		}
		if(mb_strlen($_POST['status'],'utf-8')<5){
		echo '<div id="error">Минимальная длиннас статуса 5 символов!</div>';
		foot();
		exit;
		}
	$status = protect($_POST['status']);
	mysql_query("UPDATE `users` SET `status`='".$status."',`money`=`money`-".$status_money." WHERE `id`='".$user['id']."'");
	header('Location: my.php');
	}
	foot();
	exit;
	}
	if(isset($_GET['nastr'])){
	$css_q = mysql_query("SELECT * FROM `styles`");
	$css_count = mysql_num_rows($css_q);
	echo '<div class="name">Изменить пароль</div><div class="row">';
	if(empty($_POST['str']) OR empty($_POST['chat']) or empty($_POST['diz'])){
	echo '<form action="lk.php?nastr" method="post">
	Элементов на страницу:<br>
	<select name="str">
	<option value="5">5</option>
	<option value="10">10</option>
	<option value="15">15</option>
	<option value="20">20</option>
	</select><br>
	Дизайн:<br>
	<select name="diz">';
		while($css = mysql_fetch_assoc($css_q)){
		echo '<option value="'.$css['id'].'">'.$css['name'].'</option>';
		}
	echo '</select><br>
	Чат:<br><input type="radio" name="chat" value="1" checked="checked">вкл. <input type="radio" name="chat" value="2">выкл.<br>
	Лого:<br><input type="radio" name="logo" value="1" checked="checked">вкл. <input type="radio" name="logo" value="0">выкл.<br>
	<input type="submit" value="Изменить">
	</form>';
	}else{
	$str = int($_POST['str']);
	$chat = int($_POST['chat']);
	$diz = int($_POST['diz']);
	$logo= int($_POST['logo']);
		if($chat >2 or $str>20 or $diz>$css_count or $logo>1){
		echo '<div id="error">Не правельные параметры</div>';
		foot();
		exit;
		}
	echo '<div id="ok">Настройки успешно изменены!</div>';
	mysql_query("UPDATE `users` SET `chat_on`='".$chat."',`str`='".$str."',`style_id`='".$diz."',`logo`='".$logo."' WHERE `id`='".$user['id']."'");
	}
	echo '</div>';
	foot();
	exit;	
	}
	if(isset($_GET['password'])){
	echo '<div class="name">Изменить пароль</div><div class="row">';
		if(empty($_POST['password']) or empty($_POST['password_new'])){
		echo '<form action="lk.php?password" method="post">
		Старый пароль:<br>
		<input type="text" name="password"><br>
		Новый пароль:<br>
		<input type="text" name="password_new"><br>
		<input type="submit" value="Изменить">
		</form>';
		}else{
		$pass = protect($_POST['password']);
		$pass_new = protect($_POST['password_new']);
			if(md5_sault($pass) == $user['pass']){
			echo '<div id="ok">Пароль успешно изменен на <b>'.$pass_new.'</b> зайдите под своим новый паролем.</div>';
			mysql_query("UPDATE `users` SET `pass`='".md5_sault($pass_new)."' WHERE `id`='".$user['id']."'");
			}else{
			echo '<div id="error">Не правельный старый пароль!</div>';
			}
		}
	echo '</div>';
	foot();
	exit;
	}
echo '<div class="name">Личный кабинет</div><div class="row">
<a href="lk.php?status">Статус</a><br>
<a href="lk.php?password">Изменить пароль</a><br>
<a href="lk.php?nastr">Общие настройки</a><br>
</div>';

foot();
?>